org.apache.sysds.parser

## Class VariableSet

- java.lang.Object
- - org.apache.sysds.parser.VariableSet

    public class VariableSet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VariableSet()`
`VariableSet(VariableSet vs)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addVariable(String name, DataIdentifier id)`
`void` `addVariables(VariableSet vs)`
`boolean` `containsAnyName(Set<String> names)`
`boolean` `containsVariable(String name)`
`int` `getSize()`
`DataIdentifier` `getVariable(String name)`
`Set<String>` `getVariableNames()`
`HashMap<String,DataIdentifier>` `getVariables()`
`boolean` `isMatrix(String name)`
`static VariableSet` `minus(VariableSet vs1, VariableSet vs2)`
`void` `removeVariables(VariableSet vs)`
`String` `toString()`
`static VariableSet` `union(VariableSet vs1, VariableSet vs2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariableSet

    public VariableSet()

#### VariableSet

    public VariableSet(VariableSet vs)

### Method Detail

#### addVariable

    public void addVariable(String name,
                            DataIdentifier id)

#### addVariables

    public void addVariables(VariableSet vs)

#### removeVariables

    public void removeVariables(VariableSet vs)

#### containsVariable

    public boolean containsVariable(String name)

#### containsAnyName

    public boolean containsAnyName(Set<String> names)

#### getVariable

    public DataIdentifier getVariable(String name)

#### getVariableNames

    public Set<String> getVariableNames()

#### getSize

    public int getSize()

#### getVariables

    public HashMap<String,DataIdentifier> getVariables()

#### isMatrix

    public boolean isMatrix(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### union

    public static VariableSet union(VariableSet vs1,
                                    VariableSet vs2)

#### minus

    public static VariableSet minus(VariableSet vs1,
                                    VariableSet vs2)